<script setup lang="ts">
</script>

<template>
  <div class="d-flex flex-column h-100">
    <!-- <deu-header
        project="hub"
        active-menu-item="data"
        use-breadcrumbs
        use-breadcrumbs-route-meta
      ></deu-header> -->

    <main class="ecl-container flex-grow-1 my-4">
      <router-view></router-view>
    </main>

    <!-- <deu-footer></deu-footer> -->
  </div>
</template>

<style scoped lang="scss">
@use '@ecl/theme-dev/theme' as theme;

.dummy-header,
.dummy-footer {
  display: grid;
  place-items: center;
  flex-shrink: 0;
  height: 100px;
  background-color: map-get(theme.$color, 'primary');
  color: white;
}

.dummy-breadcrumbs {
  display: grid;
  place-items: center;
  padding: 1rem;
  background-color: #f2f2f2;
}
</style>
